Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055478 - yum update (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds')
Summary: yum update (28, 'Operation too slow. Less than 1000 bytes/sec transferred the...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 11:09 UTC by volnei
Modified: 2015-06-29 14:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:36:18 UTC


Attachments (Terms of Use)

Description volnei 2014-01-20 11:09:49 UTC
Description of problem:

Since I upgraded or fully installed Fedora 20 whenever I try 
update the OS, there divesos problems with the mirrors. 
This did not occur and does not occur with Fedora 19.

Version-Release number of selected component (if applicable):

Fedora 20

yum-plugin-priorities-1.1.31-20.fc20.noarch
yum-metadata-parser-1.1.4-9.fc20.x86_64
yum-utils-1.1.31-20.fc20.noarch
PackageKit-yum-0.8.15-2.fc20.x86_64
PackageKit-yum-plugin-0.8.15-2.fc20.x86_64
yum-plugin-auto-update-debug-info-1.1.31-20.fc20.noarch
yum-3.4.3-129.fc20.noarch
anaconda-yum-plugins-1.0-10.fc20.noarch
yum-plugin-fastestmirror-1.1.31-20.fc20.noarch
yum-langpacks-0.4.3-1.fc20.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


initscripts-9.50-1.fc20_9.51-1 FAILED                                          
http://mirror1.atrpms.net/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: [Errno 12] Timeout on http://mirror1.atrpms.net/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds'

Happens with samba and several others packages.
Happens with several others mirrors too.


Expected results:

Comment 1 Zdeněk Pavlas 2014-01-20 13:15:24 UTC
Probably the default low speed limit 1000 bytes/s is too big for your setup (the default was increased in recent python-urlgrabber to improve mirror failover with very slow mirrors).  Adding "minrate=1" to your "[main]" section of /etc/yum.conf should resolve this.

Comment 2 volnei 2014-01-22 19:32:22 UTC
Hi,

Even if you think that this isn't a bug,
it is impossible to upgrade Fedora 20. 
The initscripts package only gives error!

http://ftp.ntua.gr/pub/linux/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: [Errno 12] Timeout on http://ftp.ntua.gr/pub/linux/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: (28, 'Operation too slow. Less than 1 bytes/sec transferred the last 30 seconds')
Trying other mirror.
initscripts-9.50-1.fc20_9.51-1 FAILED                                          
http://fedora.tu-chemnitz.de/pub/linux/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: [Errno 12] Timeout on http://ftp.tu-chemnitz.de/pub/linux/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: (28, 'Operation too slow. Less than 1 bytes/sec transferred the last 30 seconds')
Trying other mirror.
initscripts-9.50-1.fc20_9.51-1 FAILED                                          
ftp://ftp.ciril.fr/pub/linux/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: [Errno 12] Timeout on ftp://ftp.ciril.fr/pub/linux/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: (28, 'Operation too slow. Less than 1 bytes/sec transferred the last 30 seconds')
Trying other mirror.
initscripts-9.50-1.fc20_9.51-1 FAILED                                          
http://ftp.heanet.ie/pub/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: [Errno 12] Timeout on http://ftp.heanet.ie/pub/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: (28, 'Operation too slow. Less than 1 bytes/sec transferred the last 30 seconds')
Trying other mirror.
initscripts-9.50-1.fc20_9.51-1 FAILED                                          
http://mirror.us.leaseweb.net/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: [Errno 12] Timeout on http://mirror.us.leaseweb.net/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: (28, 'Operation too slow. Less than 1 bytes/sec transferred the last 30 seconds')
Trying other mirror.
initscripts-9.50-1.fc20_9.51-1 FAILED                                          
http://ftp.halifax.rwth-aachen.de/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: [Errno 12] Timeout on http://ftp.halifax.rwth-aachen.de/fedora/linux/updates/20/x86_64/drpms/initscripts-9.50-1.fc20_9.51-1.fc20.x86_64.drpm: (28, 'Operation too slow. Less than 1 bytes/sec transferred the last 30 seconds')


and continues until you stop and don't update anything

Thank you.

Comment 3 Zdeněk Pavlas 2014-01-23 10:04:29 UTC
Do you have curl >= 7.30.0-2 ?  This might be caused by curl bug 906031.

Comment 4 Zdeněk Pavlas 2014-01-23 10:09:30 UTC
Do you use a direct connection, or connect through a proxy?  Does the proxy perform malware scan?  Might be also the sema iisue as BZ 964298.

Settings like these:

minrate = 1
timeout = 500

Should resolve this..

Comment 5 volnei 2014-01-23 10:11:07 UTC
(In reply to Zdeněk Pavlas from comment #3)
> Do you have curl >= 7.30.0-2 ?  This might be caused by curl bug 906031.

Hi,

These are the actual releases being used:

libcurl-7.32.0-3.fc20.x86_64
curl-7.32.0-3.fc20.x86_64
flickcurl-1.25-1.fc20.x86_64
python-pycurl-7.19.0-17.20120408git9b8f4e38.fc20.x86_64

Thank you

Comment 6 Jerther 2014-08-24 18:00:48 UTC
Hi,

I'm experiencing the same issue. No proxy. Sometimes the speeds is fine for like 10 seconds and then drops to 0 for many minutes, then back to normal for a few seconds... It takes forever, and some downloads fail. I've been trying to do a 500 MB update for a week now. It's not a connection problem as I've been able to upgrade my other linux based machines (ubuntu and debian) and stream movies. If I leave yum running, it'll eventually stop after hours with some download failures.

I tried to clear yum's cache and tried to do the update with and without the fastest-mirror plugin.

I've been able to just update the fastest-mirror plugin and yum. Didn't change anything. I also updated curl to this version and it didn't change anything either:

Name        : curl
Arch        : i686
Version     : 7.32.0
Release     : 12.fc20

Along with the timeouts, I also get a LOT of 404 errors.

I'm running out of options. I'm thinking about making a script that runs the thing over and over until it succeeds...

Comment 7 Jerther 2014-09-09 23:58:25 UTC
Two weeks of trying this almost every day (each try takes hours to fail). It would slowly download a couple of MB each time but at one point it got stuck at 347 MB.

Tonight, I connected to a PPTP VPN and did the usual upgrade through it and... it went all the way! In fact, as soon as I would disconnect the VPN, the speed would go down until yum does its timeouts, and then I would reconnect the VPN and the speed would go back up.

Comment 8 Matej Kollar 2014-12-02 14:17:03 UTC
Btw, why do we do this detection even when there is only one source (no mirrors) and for the case of the last mirror? I would say it would be nice to add some logic here that would prevent such behavior in these cases.

Comment 9 Fedora End Of Life 2015-05-29 10:35:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-06-29 14:36:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.